VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Path-APIs Beispiel"
   ClientHeight    =   4155
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6705
   LinkTopic       =   "Form1"
   ScaleHeight     =   4155
   ScaleWidth      =   6705
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox txtSample 
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1275
      Left            =   720
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Beides
      TabIndex        =   0
      Top             =   660
      Width           =   2775
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Dieser Source stammt von http://www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source!

Option Explicit

Private Sub Form_Initialize()
    Dim s As String
    Const b = vbNewLine & vbNewLine
    Const t = "   -->   "
    
    s = "Test der Funktionen von basPaths.bas" & b & b
    
    'Backslash anhngen
    s = s & "AddBackslash(""C:\windows"")" & t & _
        AddBackslash("C:\windows") & b
    
    'Dateiendung anfgen
    s = s & "AddExtension(""C:\autoexec"", "".bat"")" & t & _
        AddExtension("C:\autoexec", ".bat") & b
    
    'Dateiname anfgen
    s = s & "AppendFileName(""C:\windows"", ""wolken.bmp"")" & t & _
        AppendFileName("C:\windows", "wolken.bmp") & b
    
    'Pfad auflsen
    s = s & "ParsePath(""C:\windows\.\system\..\system32\..\wolken.bmp"")" & t & _
        ParsePath("C:\windows\.\system\..\system32\..\wolken.bmp") & b
    
    'Gleiche Teile extrahieren
    s = s & "EqualPart(""C:\windows\wolken.bmp"", ""C:\windows\system\shell32.dll"")" & t & _
        EqualPart("C:\windows\wolken.bmp", "C:\windows\system\shell32.dll") & b
    
    'Pfad verkleinern
    s = s & "CompactPath(""C:\programme\microsoft visual studio\vb98\vb6.exe"", 25)" & t & _
        CompactPath("C:\programme\microsoft visual studio\vb98\vb6.exe", 25) & b
    
    'Prfen, ob Ordner existiert
    s = s & "FileFolderExists(""C:\windows"")" & t & _
        FileFolderExists("C:\windows") & b
    
    'Prfen, ob Datei existiert
    s = s & "FileFolderExists(""C:\windows\wolken.bmp"")" & t & _
        FileFolderExists("C:\windows\wolken.bmp") & b
    
    'Prfen, ob es sich um einen Ordner handelt
    s = s & "IsFolder(""C:\windows"")" & t & _
        IsFolder("C:\windows") & b
    
    'Prfen, ob Ordner leer ist
    s = s & "IsFolderEmpty(""C:\windows"")" & t & _
        IsFolderEmpty("C:\windows") & b
    
    'Prfen, ob der Anfang identisch ist
    s = s & "HasPrefix(""C:\windows\system\shell32.dll"", ""D:\eigene Dateien"")" & t & _
        HasPrefix("C:\windows\system\shell32.dll", "D:\eigene Dateien") & b
    
    'Prfen, ob der Pfad relativ ist
    s = s & "IsRelative(""test.txt"")" & t & IsRelative("test.txt") & b
    
    'Prfen, ob es sich um ein Root-Verzeichnis handelt
    s = s & "IsRoot(""C:\programme"")" & t & IsRoot("C:\programme") & b
    
    'Prfen, ob es sich um eine URL handelt
    s = s & "IsURL(""http://www.activevb.de"")" & t & _
        IsURL("http://www.activevb.de") & b
    
    'Prfen, ob 2 Objekte auf dem gleichen Laufwerk liegen
    s = s & "IsSameDrive(""C:\windows\system"", ""C:\programme"")" & t & _
        IsSameDrive("C:\windows\system", "C:\programme") & b
    
    'Prfen, ob es sich um einen Netzwerkpfad handelt
    s = s & "IsNetworkPath(""\\Server\Freigabe\test.doc"")" & t & _
        IsNetworkPath("\\Server\Freigabe\test.doc") & b
    
    'Anfhrungszeichen einfgen (Wenn ntig)
    s = s & "Quote(""C:\programme\microsoft visual studio\vb98\vb6.exe"")" & t & _
        Quote("C:\programme\microsoft visual studio\vb98\vb6.exe") & b
    
    'Anfhrungszeichen einfgen (Wenn ntig)
    s = s & "Quote(""C:\windows\system"")" & t & Quote("C:\windows\system") & b
    
    'Anfhrungszeichen entfernen
    s = s & "UnQuote(""""""C:\programme\microsoft visual studio\vb98\vb6.exe"""""")" & t & _
        UnQuote("""C:\programme\microsoft visual studio\vb98\vb6.exe""") & b
    
    'Anfhrungszeichen entfernen
    s = s & "GetRoot(""D:\eigene dateien\meine programme"")" & t & _
        GetRoot("D:\eigene dateien\meine programme") & b
    
    'Pfad in kurzen Pfad umwandeln
    s = s & "GetShortPathName(""" & App.Path & "\frmTest.frm"")" & t & _
        GetShortPathName(App.Path & "\frmTest.frm") & b
    
    'Pfad in langen Pfad umwandeln
    s = s & "GetLongPathName(""" & GetShortPathName(App.Path & "\frmTest.frm") & """)" & t & _
        GetLongPathName(GetShortPathName(App.Path & "\frmTest.frm")) & b
    
    txtSample.Text = s
End Sub

Private Sub Form_Resize()
    txtSample.Move 0, 0, ScaleWidth, ScaleHeight
End Sub
